Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357226 - add a basis function to reduce verbose code
Summary: add a basis function to reduce verbose code
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zhou Zhengping
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-16 21:32 UTC by Zhou Zhengping
Modified: 2017-01-03 11:22 UTC (History)
2 users (show)

Fixed In Version: 3.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-03 11:22:37 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Zhou Zhengping 2016-07-16 21:32:40 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Vijay Bellur 2016-07-16 21:34:38 UTC
REVIEW: http://review.gluster.org/14936 (core: add a basis function to reduce verbose code) posted (#1) for review on master by Zhou Zhengping (johnzzpcrystal@gmail.com)

Comment 2 Vijay Bellur 2016-07-17 10:31:09 UTC
REVIEW: http://review.gluster.org/14936 (core: add a basis function to reduce verbose code) posted (#2) for review on master by Zhou Zhengping (johnzzpcrystal@gmail.com)

Comment 3 Vijay Bellur 2016-07-17 12:11:32 UTC
REVIEW: http://review.gluster.org/14936 (core: add a basis function to reduce verbose code) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 4 Vijay Bellur 2016-07-18 11:59:09 UTC
COMMIT: http://review.gluster.org/14936 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 73b9ede7e115fab245b0f59d18e4d6cc4d297cec
Author: Zhou Zhengping <johnzzpcrystal@gmail.com>
Date:   Sat Jul 16 21:43:58 2016 -0400

    core: add a basis function to reduce verbose code
    
    Change-Id: Icebe1b865edb317685e93f3ef11d98fd9b2c2e9a
    BUG: 1357226
    Signed-off-by: Zhou Zhengping <johnzzpcrystal@gmail.com>
    Reviewed-on: http://review.gluster.org/14936
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>


Note You need to log in before you can comment on or make changes to this bug.